Bug 727994 - transmission-daemon ignores global download rate
Summary: transmission-daemon ignores global download rate
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: transmission
Version: 15
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Rahul Sundaram
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-03 21:16 UTC by Anna Wiggins
Modified: 2013-03-03 23:20 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 17:19:22 UTC


Attachments (Terms of Use)

Description Anna Wiggins 2011-08-03 21:16:27 UTC
Description of problem:

transmission-daemon sometimes ignores bandwidth limits.


Version-Release number of selected component (if applicable):

transmission-daemon-2.22-3.fc15.x86_64


How reproducible:

Not certain - it seems to happen often, but not on every torrent. There may be something specific to certain .torrent files that causes the problem.


Steps to Reproduce:
1. Confirm a bandwidth limit is enabled via transmission-remote -si:

LIMITS
  Peer limit: 240
  Default seed ratio limit: Unlimited
  Upload speed limit: 30.00 KiB/s  (Enabled limit: 30.00 KiB/s; Enabled turtle limit: 30.00 KiB/s)
  Download speed limit: 300.00 KiB/s  (Enabled limit: 300.00 KiB/s; Enabled turtle limit: 300.00 KiB/s)
  Turtle schedule: 11:00 - 04:00  Sun Mon Tue Wed Thu Fri Sat 

2. Add a torrent (I'm adding them via a watch-dir, not sure whether that applies to the problem)

3. Observe that torrents are exceeding this bandwidth limitation, but claim to be honoring session limits (transmission-remote -l and transmission-remote -i):

  50    93%  180.8 MiB  34sec        0.0   397.0   0.00  Downloading  Aquaria111.2008.12.12.exe
  54    59%  173.1 MiB  4 min        0.0   438.0   0.00  Downloading  penumbra_overture_1.1.exe

LIMITS & BANDWIDTH
  Download Limit: Unlimited
  Upload Limit: Unlimited
  Honors Session Limits: Yes
  Peer limit: 60
  Bandwidth Priority: Normal

  
Actual results:

Torrents are allowed to exceed, both individually and in total, the bandwidth limits specified in the configuration file.


Expected results:

The total downstream bandwidth used by all torrents shouldn't exceed the global download rate.


Additional info:

To assuage any concerns anyone may have that software piracy is occurring in the above output, I would like to mention that the torrents in question are from the Humble Indie Bundle offers (see http://www.humblebundle.com/)

Comment 1 Anna Wiggins 2012-01-05 17:02:41 UTC
After more testing, this *only* seems to happen on Humble Indie Bundle torrents. Fedora (and other Linux distro) torrents obey the limits.

So, it seems there is something that can be present in a torrent that breaks the download limit.

Comment 2 Fedora End Of Life 2012-08-07 17:19:26 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.